Get lots needing manual cost basis
GET
/api/wallets/{address}/lots/untracked
const url = 'https://api.qeychain.xyz/api/wallets/example/lots/untracked';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.qeychain.xyz/api/wallets/example/lots/untrackedReturns all lots that need manual cost basis entry.
These are typically assets received from external wallets (e.g., Coinbase)
where the original acquisition cost couldn't be determined from on-chain data.
Use the PATCH /lots/{lot_id}/cost-basis endpoint to set the cost basis.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”address
required
Address
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleBad Request
Not Found
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}Internal Server Error
